<?php

class bForm_response extends BackModule
{
    function bForm_response($formvars = array())
    {
        parent::BackModule($formvars);
        $this->droits['MOD'] = false;
    }

    function update($formvars = array(), $table = null, $langue = true)
    {
        parent::update_multi($formvars, $table, $langue);
    }

    function create($formvars = array(), $table = null, $langue = true)
    {
        $id = parent::create_multi($formvars, $table, $langue);

        return $id;
    }

    function delete($formvars = array(), $table = null, $langue = true)
    {
        parent::delete_multi($formvars);
    }

    function Form($formvars = array())
    {

        //-- Champs du formulaire
        if (!isset($formvars['id'])) {
            $formvars['id'] = 0;
        }

        return $this->displayForm($formvars['id']);
    }

    function Listing($formvars = array())
    {
        if (empty($formvars['form'])) {
            return '';
        }

        $q = new Query();

        $formId = $formvars['form'];
        $q
            ->select('*')
            ->from('form_field')
            ->leftJoin('form_field_nom', "AND", ['ffn.form_field_id', 'ff.form_field_id'], ['ffn.langue_id', LANGUE])
            ->where('form_id', $formId)
        ;
        $res = $this->sql->getAll($q->build());

        $q->reset();
        $q
            ->select('fr.form_response_id')
            ->select('fr.form_response_id')
            ->select('fr.form_response_date_ajout')
            ->select('fr.form_response_ip')
            ->from('form_response')
            ->where('fr.form_id', $formId)
        ;

        $label = new BackLabel("ID");
        $this->addLabel($label);

        $label = new BackLabel("DATE");
        $this->addLabel($label);

        $label = new BackLabel("IP");
        $this->addLabel($label);

        array_walk($res, function (array $res, $i) use ($q) {
            $q->select("ffr$i.form_field_response_value")
                ->leftJoin("form_field_response ffr$i", "AND", ["ffr$i.form_response_id", "fr.form_response_id"], ["ffr$i.form_field_id", $res['form_field_id']])
            ;

            $label = new BackLabel($res['form_field_nom_nom']);
            $this->addLabel($label);
        });


        $this->request = $q->build();
        //-- SQL
        // LABELS

        return $this->displayList($formvars['type']);
    }

//--
}