<?php
/**
 * Created by PhpStorm.
 * User: gabriel
 * Date: 25/05/18
 * Time: 12:46
 */

namespace ByDedi\Module\CustomForm\Model;

use Model;

/**
 * Class FormResponseField
 *
 * @property int $form_field_id
 * @property int $form_response_id
 * @property string $form_field_response_value
 * @property int $form_field_option_id
 */
class FormResponseField extends Model
{
    protected $table = 'form_field_response';

    /**
     * @return int
     */
    public function getFormFieldId()
    {
        return $this->form_field_id;
    }

    /**
     * @param int $form_field_id
     * @return FormResponseField
     */
    public function setFormFieldId($form_field_id)
    {
        $this->form_field_id = $form_field_id;
        return $this;
    }

    /**
     * @return int
     */
    public function getFormResponseId()
    {
        return $this->form_response_id;
    }

    /**
     * @param int $form_response_id
     * @return FormResponseField
     */
    public function setFormResponseId($form_response_id)
    {
        $this->form_response_id = $form_response_id;
        return $this;
    }

    /**
     * @return string
     */
    public function getFormFieldResponseValue()
    {
        return $this->form_field_response_value;
    }

    /**
     * @param string $form_field_response_value
     * @return FormResponseField
     */
    public function setFormFieldResponseValue($form_field_response_value)
    {
        $this->form_field_response_value = $form_field_response_value;
        return $this;
    }

    /**
     * @return int
     */
    public function getFormFieldOptionId()
    {
        return $this->form_field_option_id;
    }

    /**
     * @param int $form_field_option_id
     * @return FormResponseField
     */
    public function setFormFieldOptionId($form_field_option_id)
    {
        $this->form_field_option_id = $form_field_option_id;
        return $this;
    }
}